The "Create Redirect" API Allows adding a new url redirect to the system. Use this endpoint to create a url redirect with the specified details. Ensure that the required information is provided in the request payload.

http
POST https://services.leadconnectorhq.com/funnels/lookup/redirect

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYes6p2RxpgtMKQwO3E6IUaT
domainstringYesexample.com
pathstringYes/Hello
targetstringYeshttps://www.google.com
actionstringYesURLPossible values: 'funnel', 'website', 'url', 'all'

Responses

200 - Successful response
  • data (object, required): Data containing details of the created redirect

json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/funnels/lookup/redirect' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "6p2RxpgtMKQwO3E6IUaT",
  "domain": "example.com",
  "path": "/Hello",
  "target": "https://www.google.com",
  "action": "URL"
}'

Last updated October 26, 2026

Was this page helpful?